Bug 1573007 - [abrt] PackageKit: repo_internalize_trigger(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: repo_internalize_trigger(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1434283
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:552152719227dc01f65e13f3fa7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-29 17:27 UTC by Oliver Sampson
Modified: 2018-09-26 18:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:19:24 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (21.81 KB, text/plain)
2018-04-29 17:27 UTC, Oliver Sampson
no flags Details
File: cgroup (184 bytes, text/plain)
2018-04-29 17:27 UTC, Oliver Sampson
no flags Details
File: core_backtrace (11.73 KB, text/plain)
2018-04-29 17:27 UTC, Oliver Sampson
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-04-29 17:27 UTC, Oliver Sampson
no flags Details
File: dso_list (8.35 KB, text/plain)
2018-04-29 17:27 UTC, Oliver Sampson
no flags Details
File: environ (190 bytes, text/plain)
2018-04-29 17:27 UTC, Oliver Sampson
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-29 17:27 UTC, Oliver Sampson
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-29 17:27 UTC, Oliver Sampson
no flags Details
File: maps (40.03 KB, text/plain)
2018-04-29 17:27 UTC, Oliver Sampson
no flags Details
File: open_fds (6.30 KB, text/plain)
2018-04-29 17:27 UTC, Oliver Sampson
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-04-29 17:27 UTC, Oliver Sampson
no flags Details
File: var_log_messages (3.80 KB, text/plain)
2018-04-29 17:27 UTC, Oliver Sampson
no flags Details

Description Oliver Sampson 2018-04-29 17:27:24 UTC
Version-Release number of selected component:
PackageKit-1.1.6-2.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: repo_internalize_trigger
executable:     /usr/libexec/packagekitd
journald_cursor: s=73a73ebd20aa430a9fa969d3364df709;i=a8ed;b=b26540b193e84512b7d3ed1dbd652098;m=1c3e9e82c6;t=56a9c8a03c3e8;x=4bea9a7ecc20650a
kernel:         4.15.17-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 repo_internalize_trigger at /usr/src/debug/libdnf-0.11.1/libdnf/hy-repo.c:59
 #1 repo_internalize_all_trigger at /usr/src/debug/libdnf-0.11.1/libdnf/hy-repo.c:52
 #2 dnf_sack_make_provides_ready at /usr/src/debug/libdnf-0.11.1/libdnf/dnf-sack.c:1797
 #3 running_kernel at /usr/src/debug/libdnf-0.11.1/libdnf/hy-iutil.c:368
 #4 dnf_sack_running_kernel at /usr/src/debug/libdnf-0.11.1/libdnf/dnf-sack.c:1829
 #5 allow_uninstall_all_but_protected at /usr/src/debug/libdnf-0.11.1/libdnf/hy-goal.c:291
 #6 construct_job at /usr/src/debug/libdnf-0.11.1/libdnf/hy-goal.c:377
 #7 hy_goal_run_all_flags at /usr/src/debug/libdnf-0.11.1/libdnf/hy-goal.c:969
 #8 hy_goal_run_flags at /usr/src/debug/libdnf-0.11.1/libdnf/hy-goal.c:956
 #9 dnf_goal_depsolve at /usr/src/debug/libdnf-0.11.1/libdnf/dnf-goal.c:64

Potential duplicate: bug 1480846

Comment 1 Oliver Sampson 2018-04-29 17:27:31 UTC
Created attachment 1428484 [details]
File: backtrace

Comment 2 Oliver Sampson 2018-04-29 17:27:32 UTC
Created attachment 1428485 [details]
File: cgroup

Comment 3 Oliver Sampson 2018-04-29 17:27:36 UTC
Created attachment 1428486 [details]
File: core_backtrace

Comment 4 Oliver Sampson 2018-04-29 17:27:37 UTC
Created attachment 1428487 [details]
File: cpuinfo

Comment 5 Oliver Sampson 2018-04-29 17:27:39 UTC
Created attachment 1428488 [details]
File: dso_list

Comment 6 Oliver Sampson 2018-04-29 17:27:41 UTC
Created attachment 1428489 [details]
File: environ

Comment 7 Oliver Sampson 2018-04-29 17:27:42 UTC
Created attachment 1428490 [details]
File: exploitable

Comment 8 Oliver Sampson 2018-04-29 17:27:44 UTC
Created attachment 1428491 [details]
File: limits

Comment 9 Oliver Sampson 2018-04-29 17:27:47 UTC
Created attachment 1428492 [details]
File: maps

Comment 10 Oliver Sampson 2018-04-29 17:27:49 UTC
Created attachment 1428493 [details]
File: open_fds

Comment 11 Oliver Sampson 2018-04-29 17:27:50 UTC
Created attachment 1428494 [details]
File: proc_pid_status

Comment 12 Oliver Sampson 2018-04-29 17:27:52 UTC
Created attachment 1428495 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2018-05-03 07:50:34 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-05-29 11:19:24 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 15 Adam Williamson 2018-09-26 18:13:13 UTC

*** This bug has been marked as a duplicate of bug 1434283 ***


Note You need to log in before you can comment on or make changes to this bug.